## liece 1.4.1.0.20000107

=== lisp/Makefile ===
# -*- makefile -*-
#
# Makefile for liece
#
# $Id: Makefile,v 1.4 1998/09/29 04:52:47 daiki Exp $
#

PACKAGE  = liece
VERSION  = 1.3

EMACS    = emacs
XEMACS	= xemacs
FLAGS    = -batch -q -no-site-file
TAR	 = tar
CC       = gcc
CFLAGS   = -O
LDFLAGS  = 
OCAMLC	 = ocamlc
OCAMLOPT = ocamlopt
OCAMLDEP = ocamldep
IFLAGS   =
OBJS     = naddr.cmo dcc.cmo

PREFIX   = NONE
LISPDIR  = NONE
PACKAGEDIR = NONE
VERSION_SPECIFIC_LISPDIR = NONE

GOMI     = liece-setup.el *.elc *.cm[ioxa] dcc *.opt

all: elc

elc: 
	$(EMACS) $(FLAGS) -l ./liece-make.el -f autoload-liece \
		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)
	$(EMACS) $(FLAGS) -l ./liece-make.el -f compile-liece \
		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)

dcc: $(OBJS)
	ocamlc -custom unix.cma nums.cma str.cma $(OBJS) \
		-cclib -lunix -cclib -lnums -cclib -lstr -o dcc

install:	elc
	$(EMACS) $(FLAGS) -l ./liece-make.el -f install-liece \
		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)

package:
	$(XEMACS) $(FLAGS) -l ./liece-make.el -f autoload-liece \
		$(PREFIX) $(LISPDIR) $(VERSION_SPECIFIC_LISPDIR)
	$(XEMACS) $(FLAGS) -l ./liece-make.el -f compile-liece-package \
		$(PACKAGEDIR)

install-package: package
	$(XEMACS) $(FLAGS) -l ./liece-make.el -f install-liece-package \
		$(PACKAGEDIR)

tag:
	sh -c 'cvs tag -RF liece-`echo $(VERSION) | \
		tr . _`-`date +%Y%m%d%H%m`'

.SUFFIXES: .texinfo .info .mli .cmi .ml .cmo .cmx

.texinfo.info:
	$(EMACS) -batch -q -no-site-file -eval '(find-file "$<")' \
		-f texinfo-every-node-update \
		-f texinfo-format-buffer \
		-f save-buffer

.mli.cmi:
	$(OCAMLC) -c $(IFLAGS) $<

.ml.cmo:
	$(OCAMLC) -c $(IFLAGS) $<

.ml.cmx:
	$(OCAMLOPT) -c $(IFLAGS) $<

clean: 
	-rm -f $(GOMI)

depend:
	$(OCAMLDEP) $(IFLAGS) *.ml* > .depend

-include .depend

## liece 2.0%2B0.20030527cvs

=== debian/changelog ===
liece (2.0+0.20030527cvs-13) unstable; urgency=medium

  * QA upload.
  * Switch to debhelper-compat (= 13).  (Closes: #965703)
  * Switch from cdbs to dh.
  * Switch to a machine readable copyright file.
  * Bump Standards-Version to 4.6.0.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Jan 2022 01:15:09 +0100

liece (2.0+0.20030527cvs-12) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #654941)
  * Switch to source format 3.0 (quilt).
  * Switch to unversioned automake.  (Closes: #865143)
  * Switch to Priority: optional.
  * Apply emacsen-install patch from Tatsuya Kinoshita.  (Closes: #904404)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Jan 2019 22:21:21 +0100

liece (2.0+0.20030527cvs-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Really switch to automake1.11 (Closes: #741721, #761525)

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Sep 2014 21:31:01 +0200

liece (2.0+0.20030527cvs-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #741721)

 -- Eric Dorland <eric@debian.org>  Sat, 22 Mar 2014 14:26:49 -0400

liece (2.0+0.20030527cvs-11) unstable; urgency=low

  * rules (clean): Avoid lintian warning.
  * control.in (liece/Depends): Use emacs instead of emacs21.
  (Build-Depends-Indep): Ditto.

 -- OHASHI Akira <bg66@debian.org>  Tue, 07 Aug 2007 18:08:23 +0900

liece (2.0+0.20030527cvs-10) unstable; urgency=low

  * control.in (Standards-Version): Increase to 3.7.2.
  (liece-dcc/Depends): Use ${source:Version} instead of ${Source-Version}.
  * emacsen-install: Install myself when flavor is emacs22.

 -- OHASHI Akira <bg66@debian.org>  Thu, 21 Jun 2007 10:37:36 +0900

liece (2.0+0.20030527cvs-9) unstable; urgency=low

  * rules: Use cdbs to build.
  * control.in: New file for cdbs.
  * emacsen-install: Rewrite to a new de facto standard format.
  * emacsen-startup: Use debian-emacs-flavor instead of flavor.
  * prerm: Abolish. (closes: #200918)

 -- OHASHI Akira <bg66@debian.org>  Tue, 21 Feb 2006 16:53:38 +0900

liece (2.0+0.20030527cvs-8) unstable; urgency=low

  * emacsen-install: Fix for the broken installation. (closes: #265418)

 -- OHASHI Akira <bg66@debian.org>  Fri, 13 Aug 2004 18:05:47 +0900

liece (2.0+0.20030527cvs-7) unstable; urgency=low

  * emacsen-startup: Don't add uncompiled files to the load-path.

 -- OHASHI Akira <bg66@debian.org>  Thu, 12 Aug 2004 12:27:51 +0900

liece (2.0+0.20030527cvs-6) unstable; urgency=low

  * emacsen-startup: Use `debian-pkg-add-load-path-item' and add uncompiled
  files to the load-path.
  * emacsen-install: Output a log to tempfile.
  * rules: Fix for lintian.

 -- OHASHI Akira <bg66@debian.org>  Fri,  6 Aug 2004 13:49:04 +0900

liece (2.0+0.20030527cvs-5) unstable; urgency=medium

  * control (Build-Depends): Depend `emacs21' instead of `emacs20'.
  (closes: #229935)
  (Depends): Don't depend `emacs20'. (closes: #232765)
  * rules (configure-stamp): Configure with `emacs21' instead of `emacs20'.

 -- OHASHI Akira <bg66@debian.org>  Mon, 16 Feb 2004 13:37:55 +0900

liece (2.0+0.20030527cvs-4) unstable; urgency=medium

  * control (Build-Depends): Depend `automaken' instead of
  `automake1.5 | automake1.6 | automake1.7'. (closes: #217058)

 -- OHASHI Akira <bg66@debian.org>  Thu, 23 Oct 2003 13:24:09 +0900

liece (2.0+0.20030527cvs-3) unstable; urgency=low

  * control (Standards-Version): Increased to 3.6.1.
  * liece.info: Abolish; not maintained any longer. (closes: #205709)
  * liece-ja.info: Ditto.
  * dirs: Follow the change above.
  * rules: Ditto.
  * postinst: Abolish.

 -- OHASHI Akira <bg66@debian.org>  Tue, 21 Oct 2003 10:24:13 +0900

liece (2.0+0.20030527cvs-2) unstable; urgency=low

  * rules (clean): Delete bootstrap files completely.
  * Check with lintian.

 -- OHASHI Akira <bg66@debian.org>  Thu, 26 Jun 2003 17:36:56 +0900

liece (2.0+0.20030527cvs-1) unstable; urgency=low

  * New upstream release
  * control (Standards-Version): Increased to 3.5.10.
  (Depends): Depend `apel' instead of `flim | clime'.
  (Build-Depends): Depend `automake1.5 | automake1.6 | automake1.7' instead
  of `automake'.
  * rules (configure-stamp): Run `autoreconf -f -i' instead of `./bootstrap'.

 -- OHASHI Akira <bg66@debian.org>  Tue, 27 May 2003 14:22:12 +0900

liece (2.0+0.20020924cvs-1) unstable; urgency=low

  * New upstream release (closes: Bug#161779)

 -- OHASHI Akira <bg66@debian.org>  Tue, 24 Sep 2002 18:30:40 +0900

liece (2.0+0.20020904cvs-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Wed,  4 Sep 2002 23:36:18 +0900

liece (2.0+0.20020901cvs-1) unstable; urgency=low

  * New upstream release
  * lisp/liece-nick.el (liece-nick-add-mode): Fix last change.

 -- OHASHI Akira <bg66@debian.org>  Mon,  2 Sep 2002 04:20:02 +0900

liece (2.0+0.20020831cvs-2) unstable; urgency=low

  * etc/po/ja.po (Content-Type): Change value.

 -- OHASHI Akira <bg66@debian.org>  Sun,  1 Sep 2002 00:32:54 +0900

liece (2.0+0.20020831cvs-1) unstable; urgency=low

  * New upstream release
  * control: Increase Standards-Version number to 3.5.6.

 -- OHASHI Akira <bg66@debian.org>  Sat, 31 Aug 2002 20:49:29 +0900

liece (2.0+0.20020509cvs-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Fri, 10 May 2002 05:20:59 +0900

liece (2.0+0.20020429cvs-1) unstable; urgency=low

  * New upstream release

 -- OHASHI Akira <bg66@debian.org>  Mon, 29 Apr 2002 00:52:13 +0900

liece (2.0+0.20020217cvs-2) unstable; urgency=low

  * The spell of mule has already been broken.
  * control: Depends `xemacs21' instead of
  `xemacs21-mule | xemacs21-mule-canna-wnn'.

 -- OHASHI Akira <bg66@debian.org>  Sat, 23 Feb 2002 01:52:25 +0900

liece (2.0+0.20020217cvs-1) unstable; urgency=low

  * New upstream release.
  * Rewrite all debian/* files for the latest version of debhelper.
  (closes: Bug#134259)
  * Rearrange directories as follow:
      icons  - /usr/share/pixmaps/liece


## liece 2.0+0.20030527cvs

=== debian/changelog ===
liece (2.0+0.20030527cvs-16) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 15.  (Closes: #1097296)
  * Bump Standards-Version to 4.7.2.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Sep 2025 11:22:54 +0200

liece (2.0+0.20030527cvs-15) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 14.  (Closes: #1075220)
  * Bump Standards-Version to 4.7.0.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Aug 2024 16:26:01 +0200

liece (2.0+0.20030527cvs-14) unstable; urgency=medium

  * QA upload.
  * Import history into GIT.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066464)
  * Enable all hardening flags.
  * Bump Standards-Version to 4.6.2.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Mar 2024 17:37:05 +0100

=== debian/control ===
Source: liece
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 emacs | emacsen,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/liece
Vcs-Git: https://salsa.debian.org/debian/liece.git

Package: liece
Architecture: all
Depends:
 emacs | emacsen,
 apel,
 ${misc:Depends}
Recommends: liece-dcc
Description: IRC (Internet Relay Chat) client for Emacs
 Liece is based on Irchat, simple IRC client running under Emacsen,
 nevertheless nothing to do with irchat-2.4jp which has various features added
 by Japanese contributors (e.g. Mule support, channel buffers).
 We are going to full-replace to redesign thoroughly, and to stand up to
 extension against arbitrary protocol backend. The most recent version of this
 program has been almost completely rewritten from Irchat.

Package: liece-dcc
Architecture: any
Depends:
 liece (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: DCC program for liece
 This program is DCC(Direct Client Connection) program for liece.
 Dcc is implemented not with EmacsLisp, but with C,
 so dcc package has been divided.
 And included "ltcp" which is connection support program, can use IPv6.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) -C dcc

override_dh_auto_build-indep:
	install -m 644 etc/Emacs.ad debian/Xresources.ja
	cd etc/po && msgfmt -o liece.mo ja.po

override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs lisp/ChangeLog

override_dh_installemacsen:
	dh_installemacsen --priority=51
